Package ghidra.debug.api.tracermi

# Record Class TraceRmiLaunchOffer.LaunchResult

java.lang.Object
java.lang.Record
ghidra.debug.api.tracermi.TraceRmiLaunchOffer.LaunchResult

Record Components:
  `program` - the program associated with the launch attempt
  `sessions` - any terminal sessions created while launching the back-end. If there are more than one, they are distinguished by launcher-defined keys. If there are no sessions, then there was likely a catastrophic error in the launcher.
  `acceptor` - the acceptor if waiting for a connection
  `connection` - if the target connected back to Ghidra, that connection
  `trace` - if the connection started a trace, the (first) trace it created
  `exception` - optional error, if failed

All Implemented Interfaces:
  `AutoCloseable`

Enclosing interface:
  `TraceRmiLaunchOffer`

public static record TraceRmiLaunchOffer.LaunchResult(Program program, Map<String,TerminalSession> sessions, TraceRmiAcceptor acceptor, TraceRmiConnection connection, Trace trace, Throwable exception) extends Record implements AutoCloseable
The result of launching a program

The launch may not always be completely successful. Instead of tearing things down, partial launches are left in place, in case the user wishes to repair/complete the steps manually. If the result includes a connection, then at least that was successful. If not, then the caller can choose how to treat the terminal sessions. If the cause of failure was an exception, it is included. If the launch succeeded, but module mapping failed, the result will include a trace and the exception. If an error occurred in the shell script, it may not be communicated here, but instead displayed only in the terminal.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LaunchResult(Program program, Map<String,TerminalSession> sessions, TraceRmiAcceptor acceptor, TraceRmiConnection connection, Trace trace, Throwable exception)`
  Creates an instance of a `LaunchResult` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmiAcceptor`
  `acceptor()`
  Returns the value of the `acceptor` record component.
  `void`
  `close()`
  `TraceRmiConnection`
  `connection()`
  Returns the value of the `connection` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Throwable`
  `exception()`
  Returns the value of the `exception` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Program`
  `program()`
  Returns the value of the `program` record component.
  `Map<String,TerminalSession>`
  `sessions()`
  Returns the value of the `sessions` record component.
  `void`
  `showTerminals()`
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Trace`
  `trace()`
  Returns the value of the `trace` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LaunchResult

    public LaunchResult(Program program, Map<String,TerminalSession> sessions, TraceRmiAcceptor acceptor, TraceRmiConnection connection, Trace trace, Throwable exception)
    Creates an instance of a `LaunchResult` record class.
    Parameters:
      `program` - the value for the `program` record component
      `sessions` - the value for the `sessions` record component
      `acceptor` - the value for the `acceptor` record component
      `connection` - the value for the `connection` record component
      `trace` - the value for the `trace` record component
      `exception` - the value for the `exception` record component

- ## Method Details

  - ### showTerminals

    public void showTerminals()

  - ### close

    public void close() throws Exception
    Specified by:
      `close` in interface `AutoCloseable`
    Throws:
      `Exception`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### program

    public Program program()
    Returns the value of the `program` record component.
    Returns:
      the value of the `program` record component

  - ### sessions

    public Map<String,TerminalSession> sessions()
    Returns the value of the `sessions` record component.
    Returns:
      the value of the `sessions` record component

  - ### acceptor

    public TraceRmiAcceptor acceptor()
    Returns the value of the `acceptor` record component.
    Returns:
      the value of the `acceptor` record component

  - ### connection

    public TraceRmiConnection connection()
    Returns the value of the `connection` record component.
    Returns:
      the value of the `connection` record component

  - ### trace

    public Trace trace()
    Returns the value of the `trace` record component.
    Returns:
      the value of the `trace` record component

  - ### exception

    public Throwable exception()
    Returns the value of the `exception` record component.
    Returns:
      the value of the `exception` record component